Summary: Container Encryption Software
Name: BestCrypt-Panel 
Version: 2.0
Release: 0
Group: Utilities/System
Source: bcrypt-%{version}-%{release}.tar.gz
Packager: Jetico, Inc.
Vendor: Jetico, Inc.
License: Jetico, Inc.
Distribution: BestCrypt for Linux
URL: http://www.jetico.com/
BuildRoot: /tmp/bcrypt-%{version}-%{release}-root
provides: bestcrypt-panel
requires: grep gawk bctool = 2.0

%define __os_install_post %{nil}

%description
BestCrypt is a container encryption software program.
Using BestCrypt you can create encrypted containers and mount them as usual disks.

%prep
%setup -n bcrypt

%build
make gui-app

%install
install -d -m 755 $RPM_BUILD_ROOT/sbin
install -d -m 755 $RPM_BUILD_ROOT/usr/bin
install -d -m 755 $RPM_BUILD_ROOT/usr/bin
install -d -m 755 $RPM_BUILD_ROOT/usr/lib
install -d -m 755 $RPM_BUILD_ROOT/usr/lib64
install -d -m 755 $RPM_BUILD_ROOT/dev
install -d -m 755 $RPM_BUILD_ROOT/usr/man/man8
install -d -m 755 $RPM_BUILD_ROOT/usr/share/man/man8
install -d -m 755 $RPM_BUILD_ROOT/etc/udev/rules.d/
install -d -m 755 $RPM_BUILD_ROOT/lib/udev/rules.d/
install -d -m 755 $RPM_BUILD_ROOT/etc/rc.d/init.d
install -d -m 755 $RPM_BUILD_ROOT/etc/rc.d/rc0.d
install -d -m 755 $RPM_BUILD_ROOT/etc/rc.d/rc1.d
install -d -m 755 $RPM_BUILD_ROOT/etc/rc.d/rc2.d
install -d -m 755 $RPM_BUILD_ROOT/etc/rc.d/rc3.d
install -d -m 755 $RPM_BUILD_ROOT/etc/rc.d/rc4.d
install -d -m 755 $RPM_BUILD_ROOT/etc/rc.d/rc5.d
install -d -m 755 $RPM_BUILD_ROOT/etc/rc.d/rc6.d
install -d -m 755 $RPM_BUILD_ROOT/etc/init.d
install -d -m 755 $RPM_BUILD_ROOT/etc/rc0.d
install -d -m 755 $RPM_BUILD_ROOT/etc/rc1.d
install -d -m 755 $RPM_BUILD_ROOT/etc/rc2.d
install -d -m 755 $RPM_BUILD_ROOT/etc/rc3.d
install -d -m 755 $RPM_BUILD_ROOT/etc/rc4.d
install -d -m 755 $RPM_BUILD_ROOT/etc/rc5.d
install -d -m 755 $RPM_BUILD_ROOT/etc/rc6.d
install -d -m 755 $RPM_BUILD_ROOT/lib/modules/`uname -r`/block
install -d -m 755 $RPM_BUILD_ROOT/lib/modules/`uname -r`/kernel/drivers/block
make gui-app-install PREFIX=$RPM_BUILD_ROOT

%__os_install_post
# build directory and file lists
#find $RPM_BUILD_ROOT -type d | sed -e "s#^$RPM_BUILD_ROOT#%attr(-, root, root) %dir #g" > rpm-files
find $RPM_BUILD_ROOT -type f | sed -e "s#^$RPM_BUILD_ROOT#%attr(-, root, root) #g" > rpm-files
find $RPM_BUILD_ROOT -type l | sed -e "s#^$RPM_BUILD_ROOT#%attr(-, root, root) #g" >> rpm-files
find $RPM_BUILD_ROOT -type b | sed -e "s#^$RPM_BUILD_ROOT#%attr(-, root, root) #g" >> rpm-files

%post 
echo
echo "BestCrypt Control Panel is successfully installed. Type 'bestcrypt-panel' to launch it."
echo

%files -f rpm-files
%doc LICENSE README INSTALL HIDDEN_PART

%clean
rm -rf $RPM_BUILD_ROOT


